> ## Documentation Index
> Fetch the complete documentation index at: https://hydrotuff-admin-mcp-fix-pages-3f076f6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Getting Started

> Get an API key, submit a task, and retrieve a solved token in minutes.

# Getting Started

## 1. Get Your API Key

Contact the admin to receive your API key. Keys start with `hydrosolves-`.

## 2. Create a Task

```bash theme={null}
curl -X POST https://api.hydrosolves.gay/createTask \
  -H "Content-Type: application/json" \
  -H "apikey: hydrosolves-xxxxxxxx" \
  -d '{
    "type": "HCaptchaCaptchaToken",
    "task": {
      "sitekey": "10000000-ffff-ffff-ffff-000000000001",
      "siteurl": "https://example.com",
      "proxy": "http://user:pass@host:port",
      "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36"
    }
  }'
```

Response:

```json theme={null}
{ "status": "queued", "task_id": "1722000000000" }
```

## 3. Poll for Result

```bash theme={null}
curl "https://api.hydrosolves.gay/getTaskResult?taskid=1722000000000&apikey=hydrosolves-xxxxxxxx"
```

When solved:

```json theme={null}
{
  "status": "solved",
  "token": "P0_eyJ2IjoiMi...",
  "tasktype": "HCaptchaCaptchaToken",
  "useragent": "Mozilla/5.0 ..."
}
```

When still processing:

```json theme={null}
{ "status": "processing" }
```

## 4. Check Balance

```bash theme={null}
curl "https://api.hydrosolves.gay/getBalance?apikey=hydrosolves-xxxxxxxx"
```
